const request = {
    login:'/security-center/userManage/login',
    midifyPassword: '/security-center/userManage/midifyPassword',//修改密码
    getUserHospitals:'/security-center/userManage/getUserHospitals',      //用户关联的医院列表
    //组织管理相关接口
    getHospitalListInfo:'/security-center/hospitalManage/getHospitalListInfo',  //列表数据
    getManagerBoxInfo:'/security-center/hospitalManage/getManagerBoxInfo',  //筛选下拉数据
    disableHospital:'/security-center/hospitalManage/disableHospital',  //启用禁用
    deleteHospital:'/security-center/hospitalManage/deleteHospital',    //删除组织
    addHospital:'security-center/hospitalManage/addHospital', //添加组织
    updateHospital:'/security-center/hospitalManage/updateHospital',   //修改
    getHospitalById:'/security-center/hospitalManage/getHospitalById', //获取详情
    resetPassword:'/security-center/hospitalManage/resetPassword',  //重置密码
    //角色管理相关接口
    getUserMenuResourceTree:'/security-center/roleManage/getUserMenuResourceTree',      //获取菜单权限树
    addRole:'/security-center/roleManage/addRole',      //添加角色
    deleteRole:'/security-center/roleManage/deleteRole',    //删除角色
    disableRole:'/security-center/roleManage/disableRole',      //启用禁用
    getRolePage:'/security-center/roleManage/getRolePage',      //角色列表
    getRoleById:'/security-center/roleManage/getRoleById',      //角色详情
    getCreateRoles:'/security-center/roleManage/getCreateRoles',    //当前登录用户管理的角色列表
    getUserShowMemuTree:'/security-center/roleManage/getUserShowMemuTree',      //菜单列表
    updateRole:'/security-center/roleManage/updateRole',        //修改角色


    //用户管理相关接口
    getUserPage: '/security-center/userManage/getUserPage',//用户列表
    getHospitalTree: "/security-center/userManage/getHospitalTree",
    addUser: '/security-center/userManage/addUser',//添加用户
    updateUser: '/security-center/userManage/updateUser',//修改用户
    getUserById: '/security-center/userManage/getUserById',//查看用户
    disableUser: '/security-center/userManage/disableUser',//禁用用户
    deleteUser: '/security-center/userManage/deleteUser',//删除用户
    resetPasswordUser: '/security-center/userManage/resetPassword',//重置密码
    


    //数据权限相关接口
    getDataAuthPage: '/security-center/dataAuthManage/getDataAuthPage',//数据权限列表
    addAuth: '/security-center/dataAuthManage/addAuth',//新增数据权限
    getDoctorPage: '/security-center/dataAuthManage/getDoctorPage',//医生列表
    getDataAuthById: '/security-center/dataAuthManage/getDataAuthById',//查看数据权限
    disableAuth: '/security-center/dataAuthManage/disableAuth',//禁用启用
    deleteAuth: '/security-center/dataAuthManage/deleteAuth',//删除
    updateAuth: '/security-center/dataAuthManage/updateAuth',//修改



    //病区管理
    getDeptList: '/security-center/regionManage/getDeptList',//关联科室
    getRegion: '/security-center/regionManage/getRegion',//病区管理列表
    addRegion: '/security-center/regionManage/addRegion',//新增病区
    checkSolveRegion: '/security-center/regionManage/checkSolveRegion',//禁用启用
    deleteRegion: '/security-center/regionManage/deleteRegion',//删除病区
    updateRegion: '/security-center/regionManage/updateRegion',//修改病区

    //功能管理
    getMenusTree: '/security-center/funcManage/getMenusTree',//列表
    addMenu: '/security-center/funcManage/addMenu',//添加
    disableMenu: '/security-center/funcManage/disableMenu',//禁用启用
    deleteMenu: '/security-center/funcManage/deleteMenu',//删除
    getMenuById: '/security-center/funcManage/getMenuById',//获取详情
    updateMenu: '/security-center/funcManage/updateMenu',//修改

    //日志管理
    getOperationLog: '/security-center/logManage/getOperationLog',//操作日志
    getLoginLog: '/security-center/logManage/getLoginLog',//登录日志
    getAbnormalLog: '/security-center/logManage/getAbnormalLog',//异常日志
    getAbnormalLogWayAndIp: '/security-center/logManage/getAbnormalLogWayAndIp',//查看异常日志

    //站内通知
    listPage:'/security-center/noticeManage/listPage',  //我的通知列表
    getNoticeInfoById:'/security-center/noticeManage/getNoticeInfoById', //查看我的通知
    noticeAdd:'/security-center/noticeManage/add',  //添加通知
    deleteNoticeInfo:'/security-center/noticeManage/deleteNoticeInfo',  //删除通知
    getHospitalUser:'/security-center/noticeManage/getHospitalUser',  //获取指定组织下的用户
    getNotNoticeCount:'/security-center/noticeManage/getNotNoticeCount',        //获取未读信息数量
    listManagePage:'/security-center/noticeManage/listManagePage',        //通知管理列表
    websocketUrl:'ws://192.168.2.237:15675/ws', //通知socket地址

    //渠道管理
    getConceptLibraryPage:'/daqe-center/currencyManage/getConceptLibraryPage',//待匹配术语列表
    getOfficialCapacityPage:"/daqe-center/officialCapacityManage/getOfficialCapacityPage",    //职务变更记录列表
    delOfficialCapacityPage:"/daqe-center/officialCapacityManage/delOfficialCapacityPage",      //删除职务变更
    getRecordTemplateManage:"/daqe-center/recordTemplateManage/getRecordTemplateManage",        //查看文书模板
    getRecordTemplatePage:"/daqe-center/recordTemplateManage/getRecordTemplatePage",        //文书模板列表
	
	//诊断管理
	getDiseasePage:'/daqe-center/diseaseManage/getDiseasePage',//获取诊断分页列表
	addDisease:'/daqe-center/diseaseManage/addDisease',//添加诊断
	delDiseaseById:'/daqe-center/diseaseManage/delDiseaseById',//通过id删除诊断
	matchingDisease:'/daqe-center/diseaseManage/matchingDisease',//匹配诊断
	upDiseaseById:'/daqe-center/diseaseManage/upDiseaseById',//修改诊断
    importDisease:'/daqe-center/diseaseManage/importDisease',//诊断信息导入
    getDiseaseInfoById:"/daqe-center/diseaseManage/getDiseaseInfoById",   //已匹配诊断信息查看
	
	//药品管理
	getDrugPage:'/daqe-center/drugManage/getDrugPage',//获取药品分页列表
	delDrugById:'/daqe-center/drugManage/delDrugById',//通过id删除药品
	addDrug:'/daqe-center/drugManage/addDrug',//新增药品
	matchingDrug:'/daqe-center/drugManage/matchingDrug',//匹配药品信息
	upDrugById:'/daqe-center/drugManage/upDrugById',//通过id修改药品
    getDrugById:'/daqe-center/drugManage/getDrugById',  //已匹配药品
    importDrug:'/daqe-center/drugManage/importDrug',//导入药品
	
	//手术管理
	getOperationPage:'/daqe-center/operationManage/getOperationPage',//获取手术分页列表
	delOperationById:'/daqe-center/operationManage/delOperationById',//通过id删除手术
	addOperation:'/daqe-center/operationManage/addOperation',//新增手术
	matchingOperation:'/daqe-center/operationManage/matchingOperation',//匹配手术信息
	upOperationById:'/daqe-center/operationManage/upOperationById',//通过id修改手术
    importOperation:'/daqe-center/operationManage/importOperation',  //手术导入
    getOperationById:'/daqe-center/operationManage/getOperationById',   //已匹配标准手术获取
	

    getColumnVerifyPage:'/daqe-center/columnVerifyManagement/getColumnVerifyPage',//字段校验规则维护列表
    getRegular:'/daqe-center/columnVerifyManagement/getRegular',//正则式列表
    getColumnName:'/daqe-center/columnVerifyManagement/getColumnName',//获取字段名称
    getTableName:'/daqe-center/columnVerifyManagement/getTableName',//获取表名称
    addColumnVerify:'/daqe-center/columnVerifyManagement/addColumnVerify',//新增字段校验规则维护
    delColumnVerify:'/daqe-center/columnVerifyManagement/delColumnVerify',//删除字段校验规则维护
    getByIdColumnVerify:'/daqe-center/columnVerifyManagement/getByIdColumnVerify',//字段校验规则维护详情
    getAddUpColumnName:'/daqe-center/columnVerifyManagement/getAddUpColumnName',//新增修改下拉框获取数据库表中列数据字段名称信息
    updateColumnVerify:'/daqe-center/columnVerifyManagement/updateColumnVerify',//修改
    
    
    getColumnResultPage:'/daqe-center/columnResultManagement/getColumnResultPage',//字段校验问题明细列表
    getColumnResultNumber:'/daqe-center/columnResultManagement/getColumnResultNumber',//字段校验问题明细数量
    dataCheck:'/daqe-center/columnResultManagement/dataCheck',//数据校验
    updateColumnResult:'/daqe-center/columnResultManagement/updateColumnResult',//修改

    getBlockLossPage:'/daqe-center/blockLossManage/getBlockLossPage',//病历数据丢失明细列表
    upBlockLossById:'/daqe-center/blockLossManage/upBlockLossById',//病历数据丢失明细修改
    dataCompare:'/daqe-center/blockLossManage/dataCompare',//数据对比
    dataRepari:'/daqe-center/blockLossManage/dataRepari',//数据补录
    blockLossTypeGather:'/daqe-center/blockLossManage/blockLossTypeGather',//丢失量分类汇总
    

    getRegularPage:'/daqe-center/regularManage/getRegularPage',//正则式维护列表
    addRegular:'/daqe-center/regularManage/addRegular',//新增正则
    upRegularById:'/daqe-center/regularManage/upRegularById',//修改正则
    delRegularById:'/daqe-center/regularManage/delRegularById',//删除正则
    
}

export default request;